import { init } from './app.js';

// Initialize the app once the DOM is loaded.
// In production you can supply your own XML string to init().
document.addEventListener('DOMContentLoaded', () => {
  fetch('/data/sin_acceleration_example_dcc_WithExampleConformatyStatmentXLT.xml')
      .then(response => response.text())
      .then(xmlText => {
        init(xmlText, { containerId: 'app', language: 'en' });
      })
      .catch(err => console.error('Error loading XML file:', err));
});
